您当前的位置:首页 > Python

    Windows上安装graphviz并python调用

    发布时间:2019-08-19 作者:fc不将就 分类:Python

    Windows上安装graphviz并python调用

    软件下载地址 https://graphviz.gitlab.io/_pages/Download/windows/graphviz-2.38.msi ,安装完毕后安装python包pip install graphviz然后调用时需要修改环境变量import os os.environ["PATH"] =os.environ["PATH"]+ ';C:\\Program Files (x86) 详细信息

    在Windows上基于Python3.7编译pyd文件

    发布时间:2019-07-21 作者:fc不将就 分类:Python

    在Windows上基于Python3.7编译pyd文件

    注意事项由于.net 3.7.2在windows7上安装频繁报错我放弃了用win7,系统用的windows10编译python3.7需要安装最新版的visual studio(安装组件至少需要10G的空间),旧版的可能不支持py37,如果编译的是python2.7的请看另一个文章下载visual studio点击 下载地址 进去后只需要下载 visual studio ide community 详细信息

    windows上py2编译pyd文件环境配置

    发布时间:2019-02-19 作者:fc不将就 分类:Python

    windows上py2编译pyd文件环境配置

    系统环境python2.7-64位windows7-64位安装环境依赖不同的python版本在windows上依赖的vc版本是不一样的,详见下面列表Visual C++CPython14.03.5, 3.610.03.3, 3.49.02.6, 2.7, 3.0, 3.1, 3.2由于我们用的是py2.7,所以需要安装vc9,这边以安装微软专门为py2.7提供的vc版本为例Microsoft Vi 详细信息

    jupyter增加已有的kernel

    发布时间:2018-11-14 作者:fc不将就 分类:Python

    jupyter增加已有的kernel

    python2 -m pip install ipykernel python2 -m ipykernel install --user python3 -m pip install ipykernel python3 -m ipykernel install --user如果有需要,需要使用python2的绝对路径。如.pyenv/versions/2.7.12/bin/python2 详细信息

    mac安装pyqt4

    发布时间:2017-12-18 作者:fc不将就 分类:Python

    mac安装pyqt4

    本教程mac系统为10.13.2,python版本为自带的py2.7,安装PyQt4库第一步安装qt4brew install cartr/qt4/pyqt brew link qt@4brew安装qt的过程中可能会报权限错误,这个时候对报错的文件夹修改一下权限即可,如sudo chown -R `whoami`:admin /usr/local/Frameworks/第二步安装sip去http 详细信息

    python实现控制台进度条

    发布时间:2017-11-10 作者:fc不将就 分类:Python

    python实现控制台进度条

    python实现命令行中的进度条,类似下面所示:测试:[===============================                   ]63%直接貼代码Progressive类:from __future__ import unicode_literals, print_function, division import sys import time clas 详细信息

    "unsupported type pandas._libs.interval.Interval"报错

    发布时间:2017-11-06 作者:fc不将就 分类:Python

    "unsupported type pandas._libs.interval.Interval"报错

        pandas版本为0.20+,当保存category类型数据到excel会报错,报错信息为TypeError: Unsupported type <type 'pandas._libs.interval.Interval'> in write().而同样的代码在pandas0.19版本中并不会报错,查看源码后发现后续对值的类型进行了判断,里面只包含了str,int,float,bool等常 详细信息

    crontab执行python报错UnicodeEncodeError

    发布时间:2016-09-20 作者:阿超 分类:Linux

    crontab执行python报错UnicodeEncodeError

    脚本在shell中执行可以正常执行和输入,但是加入到crontab中之后,执行会报错:UnicodeEncodeError: 'ascii' codec can't encode characters in position 0-3: ordinal not in range(128)查询后发现是crontab运行环境和shell里面不一样需要在前面加上:LC_ALL=en_US.UTF-8 py 详细信息

2 << 1 2 > >>